<?
if(isset($_GET['sell']) && $_GET['sell']!==NULL && !isset($_GET['ok'])){
echo "<div class='event'><h1>Подтверждение</h1></div><div class='content'><div class='block'><ul class='block'><li><span class='title'>Вы уверены?</span></li><li class='pt'><img alt='' width='16' height='16' src='images/icons/tick.png'> <a href='?shop=iconka&sell=".intval($_GET['sell'])."&ok'><span> Да, подтверждаю</span></a></li><li><img alt='' width='16' height='16' src='images/icons/cross.png'> <a href='?shop=iconka'><span> Нет, отказываюсь</span></a></li></ul></div>";
}
if(isset($_GET['sell']) && $_GET['sell']!==NULL && isset($_GET['ok']))
{
$i=intval($_GET['sell']);
if($i==1)$cena=50;
else if($i==2)$cena=70;
else if($i==3)$cena=100;
else if($i==4)$cena=150;
else if($i==5)$cena=200;
else if($i==6)$cena=250;
else if($i==7)$cena=300;
else if($i==8)$cena=400;
else if($i==9)$cena=500;
else if($i==10)$cena=600;
else if($i==11)$cena=200;
else if($i==12)$cena=300;
else if($i==13)$cena=350;
else if($i==14)$cena=350;
else if($i==15)$cena=350;
else if($i==16)$cena=400;
else if($i==17)$cena=450;
else if($i==18)$cena=500;
else if($i==19)$cena=1000;
else if($i==20)$cena=30;
else if($i==21)$cena=30;
else if($i==22)$cena=30;
else if($i==23)$cena=30;
else if($i==24)$cena=30;
else if($i==25)$cena=10000;
else if($i==26)$cena=20000;
else if($i==27)$cena=20000;

if($ku['level']<=14){
$err=1;
err_game("Покупать можно с 15 уровня.");
}
if(!isset($cena)){
$err=1;
err_game("Произошла ошибка");
}
if($ku['rubies']<$cena)
{$err=1;
$_SESSION['no_rubies']=$cena-$ku['rubies'];
header("Location:/shop-iconka");}
if(!isset($err))
{
mysql_query("UPDATE `kolhoz_user` SET `iconka`='$i', `rubies` = '".($ku['rubies']-$cena)."' WHERE `id` = '$ku[id]'");
$_SESSION['msg']='Иконка успешно куплена';
header("Location:/shop-iconka");
}

}elseif(!isset($_GET['sell'])){
if(isset($_GET['clean'])){
mysql_query("UPDATE `kolhoz_user` SET `iconka`='', `rubies` = '".($ku['rubies']-1)."' WHERE `id` = '$ku[id]'");
$_SESSION['msg']='Иконка успешно изменена';
header("Location:/shop-iconka");
}
echo "<div class='event'><h1>Иконки</h1></div>
<div class='content'>
<div class='block'>
<div>";
if($ku['pol']==1){$pref='male';}elseif($ku['pol']==0){$pref='female';}
$i=1;
While($i<=26){
if($i==1){$name='Печаль';$cena=50;}
else if($i==2){$name='Радость';$cena=70;}
else if($i==3){$name='Энтузиазм';$cena=100;}
else if($i==4){$name='Нежность';$cena=150;}
else if($i==5){$name='Любопытство';$cena=200;}
else if($i==6){$name='Авантюризм';$cena=250;}
else if($i==7){$name='Круть';$cena=300;}
else if($i==8){$name='Злость';$cena=400;}
else if($i==9){$name='Окрыленность';$cena=500;}
else if($i==10){$name='Ирония';$cena=600;}
else if($i==11){$name='Новый Год';$cena=200;}
else if($i==12){$name='Петрович';$uname='Алёна - внучка Петровича';$cena=300;}
else if($i==13){$name='Молчан';$uname='Мария - жена Молчана';$cena=350;}
else if($i==14){$name='Глэм';$cena=350;}
else if($i==15){$name='Семён';$uname='Светлана - дочь Семёна';$cena=350;}
else if($i==16){$name='Казимир';$uname='Ольга - девушка Казимира';$cena=400;}
else if($i==17){$name='Музыка в голове';$cena=450;}
else if($i==18){$name='Трофим';$uname='Марфа';$cena=500;}
else if($i==19){$name='Ярило';$uname='Дарья';$cena=1000;}
else if($i==20){$name='Черный кот';$uname='Черная кошка';$cena=30;}
else if($i==21){$name='Паук';$uname='Черная вдова';$cena=30;}
else if($i==22){$name='Полнолуние';$cena=30;}
else if($i==23){$name='Тыква';$cena=30;}
else if($i==24){$name='Шляпа';$cena=30;}
else if($i==25){$name='Дед Мороз';$uname='Снегурочка';$cena=10000;}
else if($i==26){$name='Снеговик';$cena=20000;}

echo '<img width="16" height="16" alt="" src="/images/iconka/'.$i.'_'.$pref.'.png"/><span class="title"> '.(isset($uname) && $ku['pol']==0?''.$uname.'':''.$name.'').'</span>';
echo"".($ku['level']>=15?" <a href='?shop=iconka&sell=".$i."'/>купить</a> за <span><img width='16' height='16' src='/images/icons/ruby.png' alt=''/> <span class='title'>".$cena."</span>":"<span class='minor'> доступно с 15 уровня.</span>")."";
echo'<br/><li class="pt">';
if(isset($uname))unset($uname);

$i++;
}
if(!empty($ku['iconka']))echo "<li><img width='16' height='16' src='images/icons/cross.png' alt='o'> <a href='/?shop=iconka&clean'>Вернуть стандартную</a>";
echo'</div>';}
?>